#!/usr/bin/env bash

echo "Initial nslookup ${ADMIN_HOST}
    nslookup ${ADMIN_HOST}
    while [ $? -ne 0 ]; do
        echo "Waiting for ${ADMIN_HOST} to become available"
        sleep 1
        nslookup ${ADMIN_HOST}.${APPNET}
    done

echo "#Dummy" >> /etc/rc.d/init.d/functions
source /etc/init.d/web-registry-portal status
rm -rf /var/run/web-registry-portal/play.pid

if [ ! -z "$*" ]
then
    exec "$@"
else
    exec ${WEB_REGISTRY_BIN} ${WEB_REGISTRY_CUSTOM_OPTS} ${WEB_REGISTRY_OPTS}
fi
